#!/bin/bash

set -euo pipefail

SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" &> /dev/null && pwd )"
PROJECT="ipdemo" # Define your project name here

mkdir -p "${SCRIPT_DIR}/output"

export CMAKE_BUILD_TYPE="Debug"

rm -rf "${SCRIPT_DIR}/output" 
mkdir -p "${SCRIPT_DIR}/output"

docker build \
  -t "gitea.jde.nz/public/${PROJECT}-build:latest" \
  -f "${SCRIPT_DIR}/Dockerfile.dropshell-build" \
  --build-arg PROJECT="${PROJECT}" \
  --output "${SCRIPT_DIR}/output" \
  "${SCRIPT_DIR}/${PROJECT}"

